<div class="full-width full-height flex-column">
  <div class="note-types-cell">
    @for (noteType of noteTypes; track noteType) {
      <div
        class="kind-icon"
        [attr.data-icon]="'note-type-icon'"
        [class.hidden]="!isNoteTypePresentInExecution(noteType)"
        [style.color]="getTextColor(noteType)"
        [style.background-color]="getBackgroundColor(noteType)"
        nz-tooltip
        [nzTooltipTitle]="getFullTextWithNumber(noteType)"
        nzTooltipPlacement="top"
      >
        {{ getFirstLetter(noteType) }}
      </div>
    }
  </div>
</div>
